<?php
  /**************************************************************************\
  * Phenix Agenda                                                            *
  * http://phenix.gapi.fr                                                    *
  * Written by Stephane TEIL <phenix-agenda@laposte.net>                     *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

// Gestion des rapports d'erreurs
error_reporting(E_ALL ^ E_NOTICE);

// ----------------------------------------------------------------------------
// Parametres de l'application
// ----------------------------------------------------------------------------
  $AUTORISE_SUPPR  = false;          // true ou false pour la suppression des notes affectees
  $DUREE_SESSION   = 300;           // Duree en seconde d'expiration de la session
  $COOKIE_AUTH     = false;          // true ou false pour l'identification par cookie (securite moindre)
  $COOKIE_NOM      = "PXlogin";     // Nom du cookie utilise pour conserver les identifiants
  $COOKIE_DUREE    = 10;            // Nombre de jours de validite du cookie
  $PUBLIC          = true;          // true ou false pour permettre a de nouveaux utilisateurs de se creer un compte
  $RELOAD_PLANNING = 0;             // Duree en secondes pour le rechargement automatique des plannings (0 pour ne pas recharger)
  $AUTO_UPPERCASE  = true;          // true ou false pour enregistrer automatiquement le nom d'utilisateur en majuscule
  $MODIF_PARTAGE   = false;          // true ou false pour autoriser la gestion des contacts partages par d'autres utilisateurs
  $AUTORISE_HTML   = false;          // true ou false pour autoriser l'utilisation de balises HTML dans les champs de saisies (faille de securite potentielle si TRUE)
  $CHECK_VERSION   = true;          // Autorise ou non Phenix a se connecter sur le site principal pour verifier si une nouvelle version est disponible
  $APPLI_VERSION   = "3.5b";

// ----------------------------------------------------------------------------
// Extraction des noms et des valeurs des variables passees en URL ou postees
// via un formulaire. Generation de variables globales.
// ----------------------------------------------------------------------------
function tcExtract($array, &$target) {
  if (!is_array($array)) {
    return false;
  }
  $is_magic_quotes = get_magic_quotes_gpc();
  reset($array);
  while (list($key, $value) = each($array)) {
    if (is_array($value)) {
      tcExtract($value, $target[$key]);
    } else if (!$is_magic_quotes) {
      $target[$key] = addslashes(stripTags($value));
    } else {
      $target[$key] = stripTags($value);
    }
  }
  reset($array);
  return true;
}

if (!empty($_GET)) {
  tcExtract($_GET, $GLOBALS);
} else if (!empty($HTTP_GET_VARS)) {
  tcExtract($HTTP_GET_VARS, $GLOBALS);
}

if (!empty($_POST)) {
  tcExtract($_POST, $GLOBALS);
} else if (!empty($HTTP_POST_VARS)) {
  tcExtract($HTTP_POST_VARS, $GLOBALS);
}

if (!empty($_FILES)) {
  while (list($name, $value) = each($_FILES)) {
    $$name = $value['tmp_name'];
    ${$name . '_name'} = $value['name'];
  }
} else if (!empty($HTTP_POST_FILES)) {
  while (list($name, $value) = each($HTTP_POST_FILES)) {
    $$name = $value['tmp_name'];
    ${$name . '_name'} = $value['name'];
  }
}

// ----------------------------------------------------------------------------
// Autorise ou non les balises HTML
// ----------------------------------------------------------------------------
  function stripTags($str) {
    global $AUTORISE_HTML;
    return ($AUTORISE_HTML) ? $str : strip_tags($str);
  }

// ----------------------------------------------------------------------------
// Gestion des erreurs de la BDD
// ----------------------------------------------------------------------------
  function serveurDown() {
    echo("<HTML>
  <HEAD><link rel=\"stylesheet\" type=\"text/css\" href=\"css/agenda_css.php\"></HEAD>
  <BODY onload=\"javascript:window.location.href='index.php?msg=6';\">
  </BODY>
</HTML>");
    exit;
  }

// ----------------------------------------------------------------------------
// Connexion a la base
// ----------------------------------------------------------------------------
  $cfgHote="sql.free.fr"; // Serveur MySQL
  $cfgUser="mon_compte"; // Utilisateur
  $cfgPass="mon_mot_de_passe"; // Mot de passe
  $cfgBase="ma_base"; // Nom de la base
  $PREFIX_TABLE="px_"; // Permet de prefixer le nom des tables dans votre base de donnees
  if ($msg != 6) {
    include("inc/db_class.inc.php");  // Selon votre version de PHP, il vous faudra
                                      // peut-etre indiquer ici le chemin absolu
  }

  /****  Ne paramtrez les options suivantes que si vous constatez que les alertes par mail ne fonctionnent pas  ****/
  $SMTP_SERVER     = "";            // Nom du serveur SMTP
  $SMTP_PORT       = "";            // Port de connexion ( 25 dans la grande majorit des cas )
  $SMTP_LOGIN      = "";            // Login d'authentification ( si AUTH est support par le serveur )
  $SMTP_PASSWORD   = "";            // Mot de passe d'authentification ( si AUTH est support par le serveur )
  /****  ------------------------------------------------------------------------------------------------------  ****/

  define("PHENIX_INSTALLE",true);

  $tabJour  = array("Dimanche","Lundi","Mardi","Mercredi","Jeudi","Vendredi","Samedi","Dimanche");
  $tabJour2 = array("L","M","M","J","V","S","D");
  $tabJour3 = array("Dim","Lun","Mar","Mer","Jeu","Ven","Sam");
  $tabMois  = array(1 => "Janvier", "F&eacute;vrier", "Mars", "Avril", "Mai", "Juin", "Juillet",
                         "Ao&ucirc;t", "Septembre", "Octobre", "Novembre", "D&eacute;cembre");
  $tabMois2 = array(1 => "Janv", "F&eacute;v", "Mars", "Avr", "Mai", "Juin", "Juil",
                         "Ao&ucirc;t", "Sept", "Oct", "Nov", "D&eacute;c");
?>